Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurSetSubintervals

Sets the points that delimit the subintervals to be used in spectrum slicing with several partitions.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetSubintervals(EPS eps,PetscReal subint[])

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- subint - array of real values specifying subintervals

## Notes

This function is relevant only for spectrum slicing runs, that is, when an interval has been given with `EPSSetInterval()` and `STSINVERT` is set. See more details in section Spectrum Slicing.

It must be called after `EPSKrylovSchurSetPartitions()`. For `npart` partitions, the argument `subint` must contain `npart+1` real values sorted in ascending order, `subint_0, subint_1, ..., subint_npart`, where the first and last values must coincide with the interval endpoints set with `EPSSetInterval()`.

The subintervals are then defined by two consecutive points `[subint_0,subint_1]`, `[subint_1,subint_2]`, and so on.

## See Also

EPS: Eigenvalue Problem Solver, Spectrum Slicing, `EPSKRYLOVSCHUR`, `EPSKrylovSchurSetPartitions()`, `EPSKrylovSchurGetSubintervals()`, `EPSSetInterval()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurSetSubintervals_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages